Bug 82946 - include constellation in object details
Summary: include constellation in object details
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: kstars
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-06 20:53 UTC by Mike Rosseel
Modified: 2004-10-24 02:03 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Rosseel 2004-06-06 20:53:56 UTC
Version:            (using KDE KDE 3.2.1)
Installed from:    Compiled From Sources

it would be helpful if in the object details there
would be a constellation entry. This can be very handy for deepsky
objects which are 'in between' constellations.
Comment 1 kstars 2004-08-03 05:30:06 UTC
Good idea.  Adding it to the TODO.
Comment 2 kstars 2004-10-24 02:03:48 UTC
CVS commit by harris: 

Fulfilling wish #82946 (include constellation in object details).

The constellation which contains the object is now displayed in the 
details dialog, and also in the top section of the popup menu.  Please 
let me know if you think the latter is overkill.  I kind of like it, but 
I know some people prefer smaller popup menus :)

Added function SkyPoint::constellation(), which returns the name of the 
constellation which contains the point.  It does this by iterating over 
all of the constellation-boundary line segments to find the pair of 
segments which bracket the point to the North and South.

FEATURE: 82946
CCMAIL: kstars-devel@kde.org


  M +10 -0     csegment.h   1.3
  M +5 -1      detaildialog.cpp   1.45
  M +181 -148  detaildialogui.ui   1.3
  M +6 -0      kspopupmenu.cpp   1.28
  M +1 -1      kspopupmenu.h   1.8
  M +72 -0     skypoint.cpp   1.31
  M +8 -0      skypoint.h   1.24